# $Revision: 1.81 $, $Date: 2008/11/09 17:27:11 $
#
# Conditional build:
%bcond_without	doc	# do not build documentation with LaTeX
#
Summary:	A library for character- and string-glyphs from Adobe Type 1 fonts
Summary(pl.UTF-8):	Biblioteka znakowych i łańcuchowych glifów z fontów Adobe Type 1
Summary(pt_BR.UTF-8):	Rasterizador de fontes Type 1
Summary(ru.UTF-8):	Растеризатор шрифтов Type 1
Summary(uk.UTF-8):	Растеризатор шрифтів Type 1
Name:		t1lib
Version:	5.1.2
Release:	2
License:	GPL v2
Group:		Libraries
Source0:	ftp://sunsite.unc.edu/pub/Linux/libs/graphics/%{name}-%{version}.tar.gz
# Source0-md5:	a5629b56b93134377718009df1435f3c
Source1:	%{name}-fonts.Fontmap
Source2:	%{name}-fonts.fonts.scale
Source3:	%{name}config
Source4:	%{name}config.8
Patch0:		%{name}-doc.patch
Patch1:		%{name}-config.patch
Patch2:		%{name}-KernMapSize.patch
Patch3:		%{name}-man.patch
Patch4:		%{name}-xglyph.patch
Patch5:		%{name}-aclocal.patch
Patch6:		%{name}-link.patch
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	xorg-lib-libX11-devel
BuildRequires:	xorg-lib-libXaw-devel
BuildRequires:	xorg-lib-libXt-devel
%if %{with doc}
BuildRequires:	tetex-dvips
BuildRequires:	tetex-format-latex
BuildRequires:	tetex-latex
BuildRequires:	tetex-makeindex
BuildRequires:	tetex-tex-babel
%endif
Requires(post):	fontpostinst >= 0.1-6
Obsoletes:	libt1lib1.3.1
Obsoletes:	libt1lib1.3.1-progs
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_t1fontsdir	%{_fontsdir}/Type1
%define		_t1afmdir	%{_t1fontsdir}/afm
%define		_datadir	/etc
%define		specflags_ia32	 -fomit-frame-pointer

%description
t1lib is a library distributed under the GNU General Public Library
License for generating character- and string-glyphs from Adobe Type 1
fonts under UNIX. t1lib uses most of the code of the X11 rasterizer
donated by IBM to the X11-project. But some disadvantages of the
rasterizer being included in X11 have been eliminated. Here are some
of the features:
- t1lib is completely independent of X11 (although the program
  provided for testing the library needs X11)
- fonts are made known to library by means of a font database file at
  runtime
- searchpaths for all types of input files are configured by means of
  a configuration file at runtime
- characters are rastered as they are needed
- characters and complete strings may be rastered by a simple function
  call
- when rastering strings, pairwise kerning information from .afm-files
  may optionally be taken into account
- an interface to ligature-information of afm-files is provided
- a program to generate afm-files from Type 1 font files is included
- rotation is supported at any angles
- there's support for extending and slanting fonts
- underlining, overlining and overstriking is supported
- new encoding vectors may be loaded at runtime and fonts may be
  reencoded using these encoding vectors
- antialiasing is implemented using three gray-levels between black
  and white
- An interactive test program called "xglyph" is included in the
  distribution (as separate package). This program allows to test all of
  the features of the library. It requires X11.

%description -l pl.UTF-8
t1lib jest wypuszczoną na LGPL biblioteką do generowania znakowych i
łańcuchowych glifów z fontów Adobe Type 1. t1lib używa większości kodu
rasteryzera X11 (wspomaganego przez IBM), ale niektóre wady tego
rasteryzera zostały usunięte. Niektóre cechy t1lib:
- całkowita niezależność od X11 (tylko program dostarczony do testów
  wymaga X11)
- fonty są znane bibliotece poprzez dodanie do pliku z bazą danych o
  fontach - w czasie uruchamiania
- ścieżki wyszukiwania wszystkich plików wejściowych są konfigurowalne
  w czasie uruchamiania
- znaki są rasteryzowane kiedy są potrzebne
- znaki i całkowite łańcuchy mogą być zrasteryzowane prostym
  wywołaniem funkcji
- przy rasteryzacji łańcuchów opcjonalnie mogą być brane pod uwagę
  informacje o kerningu z plików .afm
- interfejs do informacji o ligaturach z plików .afm
- dołączony program do generowania plików .afm z fontów Type 1
- obroty o dowolny kąt
- wsparcie do rozszerzania i pochylania znaków
- wsparcie dla podkreślania, nadkreślania, przekreślania
- nowe wektory kodowania mogą być wczytane w czasie działania i fonty
  mogą być ponownie zakodowane przy użyciu tych wektorów
- antyaliasing zaimplementowany przy użyciu trzech stopni szarości
  pomiędzy czernią a bielą
- interaktywny program testowy xglyph - w osobnym pakiecie (wymaga X).

%description -l pt_BR.UTF-8
Rasterizador de fontes Type 1 da Adobe.

%description -l ru.UTF-8
T1lib - это библиотека для создания глифов символов и цепочек символов
из шрифтов Adobe Type 1. T1lib использует код растеризатора для X11
подаренного фирмой IBM проекту X11. Но некоторые недостатки
включенного в X11 растеризатора были устранены. T1lib включает также
поддержку антиалиасинга.

%description -l uk.UTF-8
T1lib - це бібліотека для створенння гліфів символів та ланцюжків
символів з шрифтів Adobe Type 1. T1lib використовує код растеризатора
для X11 подарованого фірмою IBM проекту X11. Але деякі недоліки
включеного в X11 растеризатора були прибрані. T1lib також включає
підтримку антиаліасинга.

%package devel
Summary:	Development files for t1lib
Summary(pl.UTF-8):	Pliki programistyczne t1lib
Summary(pt_BR.UTF-8):	Arquivos de inclusão para o desenvolvimento com a T1lib
Summary(ru.UTF-8):	Растеризатор шрифтов Type 1 - файлы для разработки программ
Summary(uk.UTF-8):	Растеризатор шрифтів Type 1 - файли для розробки програм
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Obsoletes:	libt1lib1.3.1-devel

%description devel
The files needed for developing applications using t1lib.

%description devel -l pl.UTF-8
Pliki niezbędne do tworzenia aplikacji z wykorzystaniem t1lib.

%description devel -l pt_BR.UTF-8
Arquivos de inclusão para o desenvolvimento de programas t1lib.

%description devel -l ru.UTF-8
Файлы необходимые для компиляции использующих t1lib пакетов.

%description devel -l uk.UTF-8
Файли потрібні для компіляції пакетів, що використовують t1lib.

%package static
Summary:	Static t1lib library
Summary(pl.UTF-8):	Biblioteka statyczna t1lib
Summary(pt_BR.UTF-8):	Bibliotecas estáticas para desenvolvimento com t1lib
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static t1lib library.

%description static -l pl.UTF-8
Biblioteka statyczna t1lib.

%description static -l pt_BR.UTF-8
Bibliotecas estáticas para desenvolvimento com t1lib

%description static -l ru.UTF-8
Статическая библиотека для программирования с t1lib.

%description static -l uk.UTF-8
Статична бібліотека для програмування з t1lib.

%package x
Summary:	libt1x library (X11 XImage interface)
Summary(pl.UTF-8):	Biblioteka libt1x (interfejs X11 XImage)
Group:		X11/Libraries
Requires:	%{name} = %{version}-%{release}

%description x
libt1x is a library of functions for generating glyphs with data in
X11 XImage format.

%description x -l pl.UTF-8
libt1x to biblioteka funkcjo do generowania glifów z danymi w formacie
X11 XImage.

%package x-devel
Summary:	Header file for libt1x library
Summary(pl.UTF-8):	Plik nagłówkowy biblioteki libt1x
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
Requires:	%{name}-x = %{version}-%{release}
Requires:	xorg-lib-libX11-devel

%description x-devel
Header file for libt1x library.

%description x-devel -l pl.UTF-8
Plik nagłówkowy biblioteki libt1x.

%package x-static
Summary:	Static libt1x library
Summary(pl.UTF-8):	Statyczna biblioteka libt1x
Group:		X11/Development/Libraries
Requires:	%{name}-x-devel = %{version}-%{release}

%description x-static
Static libt1x library.

%description x-static -l pl.UTF-8
Statyczna biblioteka libt1x.

%package fonts
Summary:	Type 1 fonts
Summary(pl.UTF-8):	Fonty Type 1
Group:		Fonts
Requires(post,postun):	fontpostinst >= 0.1-6
Requires:	%{_fontsdir}/Type1

%description fonts
Type 1 fonts.

%description fonts -l pl.UTF-8
Zestaw fontów Type 1.

%package xglyph
Summary:	Test program for t1lib with X11 interface
Summary(pl.UTF-8):	Program testowy dla t1lib z interfejsem X11
Group:		X11/Applications
Requires:	%{name}-x = %{version}-%{release}

%description xglyph
Test program for t1lib with X11 interface.

%description xglyph -l pl.UTF-8
Program testowy dla t1lib z interfejsem X11.

%prep
%setup -q
%patch0 -p0
%patch1 -p0
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1

rm -f ac-tools/aclocal.m4

%build
%{__libtoolize}
%{__aclocal} -I ac-tools
%{__autoconf}
%configure

%{__make} %{!?with_doc:without_doc}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_libdir},%{_datadir},%{_bindir},%{_includedir}} \
	$RPM_BUILD_ROOT{%{_t1fontsdir},%{_t1afmdir}} \
	$RPM_BUILD_ROOT%{_mandir}/man{1,5,8}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

cp -a Fonts/enc $RPM_BUILD_ROOT%{_datadir}/%{name}
install Fonts/afm/*.afm $RPM_BUILD_ROOT%{_t1afmdir}
install Fonts/type1/*.pfb $RPM_BUILD_ROOT%{_t1fontsdir}
install %{SOURCE1} $RPM_BUILD_ROOT%{_t1fontsdir}/Fontmap.%{name}-fonts
install %{SOURCE2} $RPM_BUILD_ROOT%{_t1fontsdir}/fonts.scale.%{name}-fonts

install %{SOURCE3} $RPM_BUILD_ROOT%{_bindir}

> $RPM_BUILD_ROOT%{_datadir}/%{name}/FontDatabase

for sec in 1 5; do
	install debian/*.${sec} $RPM_BUILD_ROOT%{_mandir}/man${sec}
done
install %{SOURCE4} $RPM_BUILD_ROOT%{_mandir}/man8

# let autodeps work
chmod 755 $RPM_BUILD_ROOT%{_libdir}/lib*.so*

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig
fontpostinst Type1

%postun -p /sbin/ldconfig

%post	x -p /sbin/ldconfig
%postun	x -p /sbin/ldconfig

%post fonts
fontpostinst Type1

%postun fonts
fontpostinst Type1

%files
%defattr(644,root,root,755)
%doc Changes README.t1* doc/*.{tex,eps,fig} %{?with_doc:doc/*.dvi}
%attr(755,root,root) %{_bindir}/type1afm
%attr(755,root,root) %{_bindir}/t1libconfig
%attr(755,root,root) %{_libdir}/libt1.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libt1.so.5
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/enc
%ghost %{_datadir}/%{name}/t1lib.config
%ghost %{_datadir}/%{name}/FontDatabase
%{_mandir}/man1/type1afm.1*
%{_mandir}/man5/FontDatabase.5*
%{_mandir}/man8/t1libconfig.8*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libt1.so
%{_libdir}/libt1.la
%{_includedir}/t1lib.h

%files static
%defattr(644,root,root,755)
%{_libdir}/libt1.a

%files x
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libt1x.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libt1x.so.5

%files x-devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libt1x.so
%{_libdir}/libt1x.la
%{_includedir}/t1libx.h

%files x-static
%defattr(644,root,root,755)
%{_libdir}/libt1x.a

%files fonts
%defattr(644,root,root,755)
%{_t1fontsdir}/*.pfb
%{_t1afmdir}/*.afm
%{_t1fontsdir}/*.%{name}-fonts

%files xglyph
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/xglyph
%{_mandir}/man1/xglyph.1*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: t1lib.spec,v $
Revision 1.81  2008/11/09 17:27:11  arekm
- release 2

Revision 1.80  2008/01/13 13:11:52  qboosh
- updated to 5.1.2 (fixes CVE-2007-4033)
- added link patch, separated libt1x to x-* (so description no longer lies)

Revision 1.79  2007-02-16 19:03:39  qboosh
- updated to 5.1.1
- removed obsolete DESTDIR,link patches

Revision 1.78  2007/02/12 22:09:17  glen
- tabs in preamble

Revision 1.77  2007/02/12 01:06:34  baggins
- converted to UTF-8

Revision 1.76  2006/11/29 01:10:24  arekm
- ups

Revision 1.75  2006/11/29 01:03:17  arekm
- pure th br

Revision 1.74  2006/11/28 23:43:09  arekm
- rel 2

Revision 1.73  2005/06/12 20:26:59  qboosh
- updated to 5.1.0 (includes 64-bit fixes)
- updated DESTDIR patch, added aclocal patch

Revision 1.72  2004/10/29 13:36:57  paladine
- spelling fixes

Revision 1.71  2004/07/13 21:31:06  freetz
- xlibs bcond/BR added

Revision 1.70  2004/06/20 21:37:06  arekm
- fix specflags (quotation here is buggy)

Revision 1.69  2004/03/10 21:01:05  qboosh
- updated to 5.0.2

Revision 1.68  2004/03/02 00:06:14  qboosh
- updated to 5.0.1, added link patch, killed _xbindir

Revision 1.67  2004/02/16 00:03:05  eothane
- bcond style, changelog cleanups

Revision 1.66  2003/08/30 22:43:24  mmazur
- rel 4 for ac

Revision 1.65  2003/06/28 19:36:25  gotar
- -fomit-frame-pointer on ia32

Revision 1.64  2003/06/23 10:55:51  wrobell
- s#X11/Fonts#Fonts#

Revision 1.63  2003/06/21 11:04:00  gotar
- fixed t1libconfig,
- packages require directory in which they have fonts,
- release 3, STBR.

Revision 1.62  2003/06/20 17:57:01  wiget
- release 2
- use fontpostinst
- t1lib.config and FontDatabase are autogenerated, mark it as %%ghost

Revision 1.61  2003/05/25 11:01:00  malekith
- massive attack, adding Source-md5

Revision 1.60  2003/05/25 06:27:11  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.59  2003/03/17 10:55:37  radzio
- add BR: tetex-format-latex & BR: tetex-tex-babel

Revision 1.58  2003/03/11 10:07:41  trojan
- updated to 5.0.0
- removed dontprint patch (applied)

Revision 1.57  2003/01/21 18:29:55  radek
- BR:tetex-makeindex and cosmetics

Revision 1.56  2003/01/20 21:33:49  qboosh
- use tr (fileutils) instead of sed, updated Requires()

Revision 1.55  2002/12/02 22:09:00  ankry
- pl Summary/description fixes
- adapterized

Revision 1.54  2002/11/25 14:18:45  ankry
- massive attack: no need for 755 for *.la

Revision 1.53  2002/11/06 09:44:00  agaran
- --without doc should disable tetex-* buildreq (loop tetex req t1lib, t1lib req tetex)

Revision 1.52  2002/10/09 13:14:48  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.51  2002/07/27 19:38:43  kloczek
- release 4: use new %doc.

Revision 1.50  2002/06/23 20:32:36  kloczek
- perl -pi -e "s/^libtoolize --copy --force/\%\{__libtoolize\}/"

Revision 1.49  2002/05/21 23:14:48  kloczek
- perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
               s/^automake -a -c -f/\%\{__automake\}/; \
	       s/^autoconf/\%\{__autoconf\}/"

Revision 1.48  2002/05/07 17:17:46  kloczek
- typos.

Revision 1.47  2002/05/07 16:57:28  kloczek
- merge translations from KSI and Conectiva.

Revision 1.46  2002/05/07 14:57:09  wiget
- fixed SIGSEGV (KernMapSize.patch - allways set KernMapSize) (#159)
- added patches from Debian
- - man.patch - manuals for type1afm, xglyph and FontDatabase
- - t1libconfig.patch - tool to generate FontDatabase
- - xglyph.patch - don't use T1LIB_CONFIG evn. variable
- remove wrong project URL
- move configurations files to /etc/%{name}/
- --without doc bcond to allow building package without installed latex
- relase 3

Revision 1.45  2002/04/15 20:46:32  gotar
- removed Requires: %{name} = %{version} for fonts subpackage;
  Type1 fonts can be used w/o it,
- fixed Requires type for sed and textutils, added fileutils,
- release 2.

Revision 1.44  2002/02/23 04:41:59  kloczek
- adapterized.

Revision 1.43  2002/02/22 23:29:47  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.42  2002/01/18 02:15:08  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.41  2001/11/23 00:57:29  kloczek
- updated to 1.3.1.

Revision 1.40  2001/10/30 21:03:37  kloczek
- release 2.

Revision 1.39  2001/10/30 21:02:12  qboosh
- dontprint patch: output dvips to file not printer during build

Revision 1.38  2001/10/30 01:17:55  kloczek
- updated to 1.3,
- added regenerate also libtool files.

Revision 1.37  2001/10/18 21:15:43  qboosh
- BuildRequires: tetex-dvips

Revision 1.36  2001/10/11 14:30:35  qboosh
- adapterized, remaining pl translations, BuildRequires: autoconf

Revision 1.35  2001/07/06 17:30:48  kloczek
- updated to 1.2.

Revision 1.34  2001/04/25 05:26:26  kloczek
- updated to 1.1.1.

Revision 1.33  2001/04/15 20:23:57  qboosh
- remove old {fonts.scale,Fontmap}.bak left by type1inst
- fixed fonts.scale generation, Prereq: sed

Revision 1.32  2001/04/15 18:04:59  qboosh
- Type1 fonts go to %%{_fontsdir}/Type1, metrics to {afm,pfm} subdirs
- changed post/postun scripts
  (merge included fontmaps instead of generating broken by type1inst)

Revision 1.31  2001/02/21 12:15:05  mis
- updated (by autoup) to 1.1.0

Revision 1.30  2000/10/04 03:23:30  kloczek
- release 6: use rpm new automation suit.

Revision 1.29  2000/09/19 09:59:23  kloczek
- removed empty Group(de).

Revision 1.28  2000/09/19 09:57:21  kloczek
- adapterized.

Revision 1.27  2000/09/19 08:47:57  zagrodzki
- fonts prereq: type1inst

Revision 1.26  2000/08/24 23:09:36  kloczek
- release 4,
- Requires changed to Prereq for type1inst in fonts subpackage (type1inst is
  called in %post).

Revision 1.25  2000/07/15 15:03:19  kloczek
- run type1inst with -q (wuiet) in %post/%postun.

Revision 1.24  2000/07/15 14:53:13  mkochano
- xglyph moved to separate package - now main package doesn't depend on X11.
- Release 3.

Revision 1.23  2000/06/13 20:30:35  kloczek
- typo.

Revision 1.22  2000/06/09 07:55:11  kloczek
- more %%{__make} macros.

Revision 1.21  2000/06/09 07:24:00  kloczek
- added using %%{__make} macro.

Revision 1.20  2000/06/09 03:12:27  kloczek
- fixed %post/%postun in fonts subpackage.

Revision 1.19  2000/06/09 01:14:01  kloczek
- release 2,
- spec adapterized.

Revision 1.18  2000/04/01 11:15:41  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.17  2000/03/28 16:55:07  baggins
- translated kloczkish into english

Revision 1.16  2000/03/23 17:18:42  kloczek
- updated to 1.0.1,
- added stripping shared libraries,
- removed outdated datadir patch.

Revision 1.15  1999/11/25 02:52:54  pius
- one more fix in %install

Revision 1.14  1999/11/25 02:49:37  pius
- fixed BuildRequires rules

Revision 1.13  1999/11/25 02:45:35  pius
- small fixes in %install

Revision 1.12  1999/11/25 02:42:45  pius
- updated to 0.9.2
- changes in header
- added -q %%setup parameter
- added fonts subpackage
- moved fonts to /usr/share/fonts/Type1
- changed GLOBAL_DATA_DIR to /usr/share/t1lib
- added %%post & %%postun macros
- added autoconf on top of %build
- minor changes in %files and %install
- added BuildRequires: type1inst >= 0.6.1

Revision 1.11  1999/07/20 12:48:10  wiget
- switch to rpm 3.0.2

Revision 1.10  1999/07/14 21:26:49  pius
- added using DESTDIR,
- fixed installing documentation files,
- minor fixes in %install and %files section,
- cosmetic changes.

Revision 1.9  1999/07/14 14:01:47  baggins
- cleanup

Revision 1.8  1999/07/12 23:06:15  kloczek
- added using CVS keywords in %changelog (for automating them).

* Tue Jul 21 1998 Kjetil Wiekhorst Jřrgensen <jorgens@pvv.org>
- Initial release as RPM.
